Gst::MessageStructureChange Class Reference

A structure change message. More...

Inheritance diagram for Gst::MessageStructureChange:
[legend]
Collaboration diagram for Gst::MessageStructureChange:
[legend]

## Public Member Functions

void | parse (Gst::StructureChangeType& type, Glib::RefPtr< Gst::Element >& owner, bool& busy) const
| Extracts the change type and completion status from the Gst::Message. More...
Gst::StructureChangeType | parse () const
| Extracts the change type from the Gs::tMessage. More...
Glib::RefPtr< Gst::Element > | parse_owner () const
| Extracts the owner from the Gst::Message. More...
bool | parse_busy () const
| Extracts the completion status from the Gst::Message. More...
Public Member Functions inherited from Gst::Message
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMessage* | gobj ()
| Provides access to the underlying C instance. More...
const GstMessage* | gobj () const
| Provides access to the underlying C instance. More...
GstMessage* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Gst::Structure | get_structure () const
| Access the structure of the message. More...
Glib::RefPtr< Gst::Message > | create_writable ()
| Checks if a message is writable. More...
guint32 | get_seqnum () const
| Retrieve the sequence number of a message. More...
void | set_seqnum (guint32 seqnum)
| Set the sequence number of a message. More...
MessageType | get_message_type () const
| Get the GstMessageType of message. More...
ClockTime | get_timestamp () const
| Get the timestamp of message. More...
Glib::RefPtr< Gst::Object > | get_source ()
| Get the object that posted the message. More...
Glib::RefPtr< const Gst::Object > | get_source () const
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...

## Static Public Member Functions

static Glib::RefPtr < Gst::MessageStructureChange > | create (const Glib::RefPtr< Gst::Object >& src, Gst::StructureChangeType type, const Glib::RefPtr< Gst::Element >& owner, bool busy)
| Create a new structure change message. More...

## Additional Inherited Members

Protected Member Functions inherited from Gst::Message
| Message ()
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
| MiniObject ()
void | operator delete (void*, std::size_t)
Static Protected Member Functions inherited from Gst::Message
template<class MsgType >
static Glib::RefPtr< MsgType > | wrap (GstMessage* message, bool take_copy=false)
Related Functions inherited from Gst::Message
Glib::RefPtr< Gst::Message > | wrap (GstMessage* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A structure change message.

See create() for more details.

## Member Function Documentation

static Glib::RefPtr<Gst::MessageStructureChange> Gst::MessageStructureChange::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Gst::StructureChangeType | type,
|  | const Glib::RefPtr< Gst::Element >& | owner,
|  | bool | busy
| ) |  |

static

Create a new structure change message.

This message is posted when the structure of a pipeline is in the process of being changed, for example when pads are linked or unlinked.

src should be the srcpad that unlinked or linked.

Parameters

  src | The object originating the message.
  type | The change type.
  owner | The owner element of src.
  busy | Whether the structure change is busy.

Returns
  The new structure change message. MT safe.

Since 0.10.22.

void Gst::MessageStructureChange::parse | ( | Gst::StructureChangeType& | type,
|  | Glib::RefPtr< Gst::Element >& | owner,
|  | bool & | busy
| ) |  | const

Extracts the change type and completion status from the Gst::Message.

MT safe.

Parameters

  type | A reference to hold the change type.
  owner | The owner element of the message source.
  busy | A reference to hold whether the change is in progress or has been completed.

Since 0.10.22.

Gst::StructureChangeType Gst::MessageStructureChange::parse | ( |  | ) | const

Extracts the change type from the Gs::tMessage.

MT safe.

Returns
  The change type.

Since 0.10.22.

bool Gst::MessageStructureChange::parse_busy | ( |  | ) | const

Extracts the completion status from the Gst::Message.

MT safe.

Returns
  whether the change is in progress or has been completed.

Since 0.10.22.

Glib::RefPtr<Gst::Element> Gst::MessageStructureChange::parse_owner | ( |  | ) | const

Extracts the owner from the Gst::Message.

MT safe.

Returns
  The owner element of the message source.

Since 0.10.22.

The documentation for this class was generated from the following file:

- gstreamermm/message.h